{%- assign og_title = page_title -%}
{%- assign og_url = canonical_url -%}
{%- assign og_type = 'website' -%}
{%- assign og_description = page_description | default: shop.description | default: shop.name -%}

{% comment %}
  Template specific overides
{% endcomment %}
{%- if template.name == 'product' -%}
  {%- assign og_title = product.title | strip_html -%}
  {%- assign og_type = 'product' -%}
  {%- capture og_image_tags -%}
    {%- for image in product.images limit: 3 -%}
      <meta property="og:image" content="http:{{ image.src | product_img_url: '1024x1024' }}">
    {%- endfor -%}
  {%- endcapture -%}
  {%- capture og_image_secure_url_tags -%}
    {%- for image in product.images limit: 3 -%}
      <meta property="og:image:secure_url" content="https:{{ image.src | product_img_url: '1024x1024' }}">
    {%- endfor -%}
  {%- endcapture -%}

{%- elsif template.name == 'article' -%}
  {%- assign og_title = article.title | strip_html -%}
  {%- assign og_type = 'article' -%}
  {%- assign og_description = article.excerpt_or_content | strip_html -%}
  {%- if article.image -%}
    {%- capture og_image_tags -%}<meta property="og:image" content="http:{{ article.image | img_url: '1024x1024' }}">{%- endcapture -%}
    {%- capture og_image_secure_url_tags -%}<meta property="og:image:secure_url" content="https:{{ article.image | img_url: '1024x1024' }}">{%- endcapture -%}
  {%- endif -%}

{%- elsif template.name == 'password' -%}
  {%- assign og_title = shop.name -%}
  {%- assign og_url = shop.url -%}
  {%- assign og_description = shop.description | default: shop.name -%}
{%- endif -%}

<meta property="og:site_name" content="{{ shop.name }}">
<meta property="og:url" content="{{ og_url }}">
<meta property="og:title" content="{{ og_title }}">
<meta property="og:type" content="{{ og_type }}">
<meta property="og:description" content="{{ og_description }}">
{%- if template.name == 'product' -%}
  <meta property="og:price:amount" content="{{ product.price | money_without_currency | strip_html }}">
  <meta property="og:price:currency" content="{{ shop.currency }}">
{%- endif -%}
{{ og_image_tags }}
{{ og_image_secure_url_tags }}

<meta name="twitter:site" content="{{ settings.social_twitter_link | split: 'twitter.com/' | last | prepend: '@' }}">
<meta name="twitter:card" content="summary_large_image">
<meta name="twitter:title" content="{{ og_title }}">
<meta name="twitter:description" content="{{ og_description }}">











<meta itemprop="name" content=" "/>
    <meta itemprop="description" content=" "/>
    <meta itemprop="image" content="./assets/images/fb.png"/>
    <meta property="og:title" content=" "/>
    <meta property="og:image" content="./assets/images/fb.png"/>
    <meta property="og:url" content=" "/>
    <meta property="og:description" content=" "/>
    <meta name="twitter:title" content=" " />
    <meta name="twitter:image" content="./assets/images/fb.png" />
    <meta name="twitter:url" content=" " />
    <meta name="twitter:description" content=" " />




    <meta itemprop="name" content=" "/>
  <meta itemprop="description" content=" "/>
  <meta itemprop="image" content="./assets/images/fb.png"/>
  <meta property="og:title" content=" "/>
  <meta property="og:image" content="./assets/images/fb.png"/>
  <meta property="og:url" content=" "/>
  <meta property="og:description" content=" "/>
  <meta name="twitter:title" content=" " />
  <meta name="twitter:image" content="./assets/images/fb.png" />
  <meta name="twitter:url" content=" " />
  <meta name="twitter:description" content=" " />